Gönderen Konu: conky-lua kuramanyanlar için çözüm  (Okunma sayısı 1266 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı ata

  • Gelişmiş Üye
  • *****
  • İleti: 2133
  • Teşekkür: +39/-0
  • yuvarlanıp gidiyoruz
  • Dağıtım / Distribution: Arch Linux
  • Ekran Kartı - Graphic Card: ATI
  • Ekr. Kartı Sür. Graph.Dri: Özgür Yazılım
conky-lua kuramanyanlar için çözüm
« : 26 Temmuz 2016, 01:18:05 »
conky lua kuramayan manjaro ve arch kullanıcıları hataya çözüm buldum
olay şöyle

indiriyoruz
Kod: [Seç]
https://aur.archlinux.org/cgit/aur.git/snapshot/conky-lua.tar.gz komutla kur diyoruz kurmayacak ama gereken dosyaları oluşturacak
Kod: [Seç]
makepkg -srimetin editörümüz ile gereken dosyayı açıyoruz
Kod: [Seç]
sudo gedit /usr/share/cmake-3.6/Modules/FindPkgConfig.cmakegereken kısmı buluyoruz şu kısımı ve editliyoruz yanı bir satırı sileceğiz
Kod: [Seç]
# check whether version is given
if (_pkg_check_modules_pkg MATCHES "(.*[^><])(>=|=|<=)(.*)")
set(_pkg_check_modules_pkg_name "${CMAKE_MATCH_1}")
set(_pkg_check_modules_pkg_op "${CMAKE_MATCH_2}")
set(_pkg_check_modules_pkg_ver "${CMAKE_MATCH_3}")
else()
set(_pkg_check_modules_pkg_name "${_pkg_check_modules_pkg}")
set(_pkg_check_modules_pkg_op)
set(_pkg_check_modules_pkg_ver)
endif()
şu satırı silin
Kod: [Seç]
set(_pkg_check_modules_pkg_name "${_pkg_check_modules_pkg}")şu şekile gelecek
Kod: [Seç]
# check whether version is given
if (_pkg_check_modules_pkg MATCHES "(.*[^><])(>=|=|<=)(.*)")
set(_pkg_check_modules_pkg_name "${CMAKE_MATCH_1}")
set(_pkg_check_modules_pkg_op "${CMAKE_MATCH_2}")
set(_pkg_check_modules_pkg_ver "${CMAKE_MATCH_3}")
else()

set(_pkg_check_modules_pkg_op)
set(_pkg_check_modules_pkg_ver)
endif()[
ardından kaydedip
Kod: [Seç]
makepkg -sriiyi keyifler. ATA dan sevgilerle
« Son Düzenleme: 26 Temmuz 2016, 02:55:17 Gönderen: ata »
Suskunluğum asaletimdendir,her lafa verilecek cevabım var. Ama bir lafa bakarım laf mı ? diye bir de söyleyene bakarım adam mı ? diye